cordova.define("cordova-plugin-baichuan.baichuan", function(require, exports, module) {
var cordova = require('cordova');
var defaultSuccessHandler = function() {
    console.warn('baichuan exec success', arguments);
};
var defaultErrorHandler = function() {
    console.warn('baichuan exec fail', arguments);
};
module.exports = {
    /**
     * pageArgs: {
         *      type: 'itemDetailPage/shopPage/addCartPage/myOrdersPage/myCartsPage/page',
         *      itemId: '',
         *      shopId: '',
         *      allOrder: true/false,
         *      url: '',
         *      status: 0-4,    // 所要展示订单的订单状态
         *  }
     * [taokeArgs: {
         *      pid: '',
         *      adzoneid: '',
         *      subPid: '',
         *      unionId: '',
         *      key: ''
         *  }
     * showArgs: {
         *      openType: 'Auto/H5/Native', // 打开页面的方式
         *      backUrl: '',                // 指定手淘回跳的地址
         *      nativeFailMode: 'NONE/JumpBROWER/JumpDOWNLOAD/JumpH5',  // 跳手淘/天猫失败后的处理策略
         *
         *      // Android
         *      clientType: '',
         *      pageClose: true/false,
         *      proxyWebview: true/false,
         *      showTitleBar: true/false,
         *      title: '',
         *
         *      // IOS
         *      linkKey: '',    // applink使用，优先拉起的linkKey，手淘：@"taobao_scheme"
         *  }
     * exArgs: {
         *      自定义
         *  }]
     */
    showPage: function(pageArgs, taokeArgs,showArgs,exArgs, success, error) {
            success = success || defaultSuccessHandler;
            error = error || defaultErrorHandler;
            cordova.exec(success, error, 'BaichuanPlugin', 'showPage', [pageArgs, taokeArgs, showArgs, exArgs]);
        },
    showAppPage: function(url, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'showAppPage', [url]);
    },
    /**
     * settings: {
         *      forceH5: true/false,
         *      syncForTaoke: true/false,
         *      taokeParams: 同上,
         *      channel: ['', ''],
         *      ISVCode: '',
         *      ISVVersion: '',
         *  }
     */
    setting: function(settings, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'setting', [settings]);
    },
    /**
     * action: login/getSession/logout
     */
    auth: function(action, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'auth', [action]);
    },
	/**
    * url:授权链接，格式：https://oauth.m.taobao.com/authorize?response_type=token&client_id=00000000
    * client_id为appkey
    *
    * 回调对象中返回access_token
    */
    oauth: function(url, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'oauth', [url]);
    },
    /**
    * imgStr:图片的base64
    */
    conversePhoto: function(imgStr, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'conversePhoto', [imgStr]);
    },
    /**
     * userId: 当前登录用户id
     */
    setCurrentUserId: function(userId, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'setCurrentUserID', [userId]);
    },
    /**
     * 获取appSecret
     */
    getAppSecret: function(orderId, success, error) {
        success = success || defaultSuccessHandler;
        error = error || defaultErrorHandler;
        cordova.exec(success, error, 'BaichuanPlugin', 'getAppSecret', [orderId]);
    },
     /**
      * 获取剪切板
      */
     coolMethod: function(orderId, success, error) {
         success = success || defaultSuccessHandler;
         error = error || defaultErrorHandler;
         cordova.exec(success, error, 'BaichuanPlugin', 'coolMethod', [orderId]);
     },
       /**
        * 下载并打开安卓apk文件
        */
       downloadAndInstall: function(fileUrl, success, error) {
           success = success || defaultSuccessHandler;
           error = error || defaultErrorHandler;
           cordova.exec(success, error, 'BaichuanPlugin', 'downloadAndInstall', [fileUrl]);
       },
     /**
      * 获取推送的消息
      */
     getNotifyMessage: function(orderId, success, error) {
         success = success || defaultSuccessHandler;
         error = error || defaultErrorHandler;
         cordova.exec(success, error, 'BaichuanPlugin', 'getNotifyMessage', [orderId]);
     },
      /**
       * 获取推送的设备id
       */
      getDeviceID: function(orderId, success, error) {
          success = success || defaultSuccessHandler;
          error = error || defaultErrorHandler;
          cordova.exec(success, error, 'BaichuanPlugin', 'getDeviceID', [orderId]);
      },
      /**
       * 调起支付宝扫一扫
       */
      openAlipayQRCode: function(orderId, success, error) {
          success = success || defaultSuccessHandler;
          error = error || defaultErrorHandler;
          cordova.exec(success, error, 'BaichuanPlugin', 'openAlipayQRCode', [orderId]);
      },
      /**
       * 调起支付宝加到卡包
       */
      openAlipayAddCard: function(voucherId, success, error) {
          success = success || defaultSuccessHandler;
          error = error || defaultErrorHandler;
          cordova.exec(success, error, 'BaichuanPlugin', 'openAlipayAddCard', [voucherId]);
      }
      ,
      /**
       * 调起支付宝进行授权
       */
      alipayAuth: function(authInfoStr, success, error) {
          success = success || defaultSuccessHandler;
          error = error || defaultErrorHandler;
          cordova.exec(success, error, 'BaichuanPlugin', 'alipayAuth', [authInfoStr]);
      }

};
});
